#include <stdio.h>
#include <stdlib.h>
#include <string.h>

main(int argc, char **argv) {
int valid, cc, dbl, checksum, idx, i, j;
char cardno[100], digit;

if (argc<2) {
   printf("0,\n");
   exit(0);
   }

valid=0;

j=0;
for (i=0; argv[1][i]!=0; i++)
   if (argv[1][i]>='0' && argv[1][i]<='9') {
      cardno[j]=argv[1][i];
      j++;
      }
cardno[j]=0;


checksum=0;
dbl=0;
for (idx=strlen(cardno); idx>0; idx--) {
   digit=cardno[idx-1];
   if ((digit>47 && digit<58) || digit==32) {
      if (digit!=32) {
         digit=digit-48;
         if (dbl) {
            digit+=digit;
            if (digit>9)
               digit-=9;
            }   
         }
         dbl=!dbl;
         checksum+=digit;
         if (checksum>9)
            checksum-=10;
         }
   else {
      valid=0;
      printf("%d,%s\n", valid, cardno);
      exit(0);
      }
}

if (checksum==0) 
   valid=1;
   
printf("%d,%s\n", valid, cardno);


}



